Query Temperature – Channels API – MediaKind
Query Temperature
Get /ui/connectors/channels-api/latest/metrics/temperature/
Query outlet temperature over time range. Returns Prometheus format.
Query parameters
| Parameter |
Type |
Required |
Description |
| start |
string |
Yes |
Start time (ISO8601 or Unix timestamp) |
| end |
string |
Yes |
End time (ISO8601 or Unix timestamp) |
| step |
string |
No |
Defaults to 60s. Query resolution step |
Response
200 Successful Response
| Field |
Type |
Required |
Description |
| status |
string |
Yes |
'success' or 'error' |
| data |
object |
No |
Show data section |
Prometheus Matrix Data object
Properties
| Field |
Type |
Required |
Description |
| resultType |
string |
No |
Defaults to matrix |
| result |
list of objects |
Yes |
List of PrometheusMatrixResult objects |
PrometheusMatrixResult
| Field |
Type |
Required |
Description |
| metric |
object |
Yes |
PrometheusMetricLabels |
| values |
list of lists |
Yes |
Array of [unix_timestamp, value_string] pairs |
Errors
| Code |
Description |
Detail |
| 422 |
Validation Error |
List of objects ValidationError |
ValidationError
| Field |
Type |
Required |
Description |
| loc |
list of objects |
Yes |
Locations of validation errors |
| msg |
string |
Yes |
Error message |
| type |
string |
Yes |
Type of error |
| input |
any |
No |
Input value causing the error |
| ctx |
object |
No |
Contextual information about the error |